<template>
    <div>
        <button @click="changeDisplayStyleShow()" type="button" class="btn btn-primary m-4">Fach hinzufügen</button>
        <div id="notShown" ref="notShown">
            <div class="container">
                <div class="form-group">
                    <b-form @submit="postFach" method="post">
                        <label for="">Fachunterricht wählen</label>
                        <select class="form-control form-select-lg mb-3" name="TrainerAnstellung" id=""
                            v-model="fach.fachUnterricht">
                            <option value="JAVA">Java</option>
                            <option value="WEB">Web</option>
                            <option value="DB">Datenbanken</option>
                            <option value="WINDOWS">Windows</option>
                            <option value="LINUX">Linux</option>
                            <option value="KARRIERECOACHING">Karrierecoaching</option>
                        </select>
                        <input type="text" name="gruppeid" id="" placeholder="Fachbezeichnung"
                            v-model.number="fach.fachBezeichnung" class="form-control"> <br>
                        <button type="submit" class="btn container-fluid btn-info"
                            @click="changeDisplayStyleHide()">Hinzufügen</button>
                    </b-form>
                </div>
            </div>
        </div>
    </div>
</template>

<script>

export default {
    name: 'FachPost',
    components: {
    },

    data() {
        return {

            fach: {
                fachUnterricht: null,
                fachBezeichnung: null,
            }
        }
    },

    methods: {
        postFach(e) {
            console.log(this.fach)
            const response = this.$store.dispatch('postFach', this.fach)
                .then((result) => {
                    console.log(result)
                    console.log(response)
                })
            e.preventDefault()

        },
        changeDisplayStyleShow: function () {
            this.$refs.notShown.style.display = "block";
        },
        changeDisplayStyleHide: function () {
            this.$refs.notShown.style.display = "none";
        }
    }
}
</script>

<style>
#notShown {
    display: none;
}
</style>